Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Data Fields
Lucene::FormatPostingsDocsWriter Class Reference

Consumes doc & freq, writing them using the current index file format. More...

`#include <FormatPostingsDocsWriter.h>`

Inheritance diagram for Lucene::FormatPostingsDocsWriter:

## Public Member Functions

| FormatPostingsDocsWriter (const SegmentWriteStatePtr &state, const FormatPostingsTermsWriterPtr &parent)
virtual | ~FormatPostingsDocsWriter ()
virtual String | getClassName ()
boost::shared_ptr< FormatPostingsDocsWriter > | shared_from_this ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
void | setField (const FieldInfoPtr &fieldInfo)
virtual FormatPostingsPositionsConsumerPtr | addDoc (int32_t docID, int32_t termDocFreq)
| Adds a new doc in this term. If this returns null then we just skip consuming positions/payloads.
virtual void | finish ()
| Called when we are done adding docs to this term.
void | close ()
Public Member Functions inherited from Lucene::FormatPostingsDocsConsumer
virtual | ~FormatPostingsDocsConsumer ()
boost::shared_ptr< FormatPostingsDocsConsumer > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::FormatPostingsDocsConsumer
static String | _getClassName ()

## Data Fields

IndexOutputPtr | out
FormatPostingsTermsWriterWeakPtr | _parent
SegmentWriteStatePtr | state
FormatPostingsPositionsWriterPtr | posWriter
DefaultSkipListWriterPtr | skipListWriter
int32_t | skipInterval
int32_t | totalNumDocs
bool | omitTermFreqAndPositions
bool | storePayloads
int64_t | freqStart
FieldInfoPtr | fieldInfo
int32_t | lastDocID
int32_t | df
TermInfoPtr | termInfo
UTF8ResultPtr | utf8

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

Consumes doc & freq, writing them using the current index file format.

## Constructor & Destructor Documentation

## ◆ FormatPostingsDocsWriter()

Lucene::FormatPostingsDocsWriter::FormatPostingsDocsWriter | ( | const SegmentWriteStatePtr & | state,
|  | const FormatPostingsTermsWriterPtr & | parent )

References state.

Referenced by _getClassName().

## ◆ ~FormatPostingsDocsWriter()

virtual Lucene::FormatPostingsDocsWriter::~FormatPostingsDocsWriter | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

String Lucene::FormatPostingsDocsWriter::_getClassName | ( |  | ) |

inline static

References FormatPostingsDocsWriter().

## ◆ addDoc()

virtual FormatPostingsPositionsConsumerPtr Lucene::FormatPostingsDocsWriter::addDoc | ( | int32_t | docID,
|  | int32_t | termDocFreq )

virtual

Adds a new doc in this term. If this returns null then we just skip consuming positions/payloads.

Implements Lucene::FormatPostingsDocsConsumer.

## ◆ close()

void Lucene::FormatPostingsDocsWriter::close | ( |  | ) |

## ◆ finish()

virtual void Lucene::FormatPostingsDocsWriter::finish | ( |  | ) |

virtual

Called when we are done adding docs to this term.

Implements Lucene::FormatPostingsDocsConsumer.

## ◆ getClassName()

virtual String Lucene::FormatPostingsDocsWriter::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::FormatPostingsDocsConsumer.

## ◆ initialize()

virtual void Lucene::FormatPostingsDocsWriter::initialize | ( |  | ) |

virtual

Called directly after instantiation to create objects that depend on this object being fully constructed.

Reimplemented from Lucene::LuceneObject.

## ◆ setField()

void Lucene::FormatPostingsDocsWriter::setField | ( | const FieldInfoPtr & | fieldInfo | ) |

References fieldInfo.

## ◆ shared_from_this()

boost::shared_ptr< FormatPostingsDocsWriter > Lucene::FormatPostingsDocsWriter::shared_from_this | ( |  | ) |

inline

## Field Documentation

## ◆ _parent

FormatPostingsTermsWriterWeakPtr Lucene::FormatPostingsDocsWriter::_parent

## ◆ df

int32_t Lucene::FormatPostingsDocsWriter::df

## ◆ fieldInfo

FieldInfoPtr Lucene::FormatPostingsDocsWriter::fieldInfo

Referenced by setField().

## ◆ freqStart

int64_t Lucene::FormatPostingsDocsWriter::freqStart

## ◆ lastDocID

int32_t Lucene::FormatPostingsDocsWriter::lastDocID

## ◆ omitTermFreqAndPositions

bool Lucene::FormatPostingsDocsWriter::omitTermFreqAndPositions

## ◆ out

IndexOutputPtr Lucene::FormatPostingsDocsWriter::out

## ◆ posWriter

FormatPostingsPositionsWriterPtr Lucene::FormatPostingsDocsWriter::posWriter

## ◆ skipInterval

int32_t Lucene::FormatPostingsDocsWriter::skipInterval

## ◆ skipListWriter

DefaultSkipListWriterPtr Lucene::FormatPostingsDocsWriter::skipListWriter

## ◆ state

SegmentWriteStatePtr Lucene::FormatPostingsDocsWriter::state

Referenced by FormatPostingsDocsWriter().

## ◆ storePayloads

bool Lucene::FormatPostingsDocsWriter::storePayloads

## ◆ termInfo

TermInfoPtr Lucene::FormatPostingsDocsWriter::termInfo

## ◆ totalNumDocs

int32_t Lucene::FormatPostingsDocsWriter::totalNumDocs

## ◆ utf8

UTF8ResultPtr Lucene::FormatPostingsDocsWriter::utf8

The documentation for this class was generated from the following file:

- FormatPostingsDocsWriter.h

clucene.sourceforge.net